#!/bin/sh
#
#	getmanifests.sh
#
#	Author: Tim Niiler
# 	Date:	March 15, 2004
#	License: GPL
#	
#	Purpose: This program retrieves the package manifests and the
#		associated icon files from the sites in config.txt
#		and then copies them to the current directory.
#
#		As with the other scripts, I've left this in script instead of in
#		C code so that it can be modified and dropped in
#		on any system regardless of your package type.
#
today=`date +'%m-%d-%Y'`

ftppaths=$( cat config.txt )
count=0
max=2
for i in $ftppaths
do
	if [ "$count" -eq 0 ]; then 
	        echo -E "$i"
		ftppath=$i
	fi
	if [ "$count" -eq 1 ]; then
		echo -E "$i"
		manpath=$i
	fi
	let "count += 1"
done

wget --directory-prefix=manifests $manpath/package_manifest.txt
cp manifests/package_manifest.txt ./package_manifest.txt
mv manifests/package_manifest.txt manifests/package_manifest_$today.txt

wget --directory-prefix=lists $ftppath/pkglist.txt
cp lists/pkglist.txt ./pkglist.txt
mv lists/pkglist.txt lists/pkglist_$today.txt

wget $1/icons.tar.gz
tar -xzvf icons.tar.gz

